Package com.io7m.jregions.core.unparameterized.volumes

# Interface VolumeFType

All Superinterfaces:
  `VolumeSizeValuesFType`, `VolumeValuesFType`

All Known Implementing Classes:
  `VolumeF`

@Immutable public interface VolumeFType extends VolumeValuesFType

A volume with `float` coordinates.

The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `checkPreconditions()`
  Check the preconditions for the parameters.
  `float`
  `maximumX()`
  `float`
  `maximumY()`
  `float`
  `maximumZ()`
  `float`
  `minimumX()`
  `float`
  `minimumY()`
  `float`
  `minimumZ()`

  ### Methods inherited from interface com.io7m.jregions.core.unparameterized.volumes.VolumeValuesFType

  `sizeX, sizeY, sizeZ`

- ## Method Details

  - ### minimumX

    @Parameter(order=0) float minimumX()
    Specified by:
      `minimumX` in interface `VolumeValuesFType`
    Returns:
      The value on the X axis of the minimum edge of the box (inclusive)

  - ### maximumX

    @Parameter(order=1) float maximumX()
    Specified by:
      `maximumX` in interface `VolumeValuesFType`
    Returns:
      The value on the X axis of the maximum edge of the box (exclusive)

  - ### minimumY

    @Parameter(order=2) float minimumY()
    Specified by:
      `minimumY` in interface `VolumeValuesFType`
    Returns:
      The value on the Y axis of the minimum edge of the box (inclusive)

  - ### maximumY

    @Parameter(order=3) float maximumY()
    Specified by:
      `maximumY` in interface `VolumeValuesFType`
    Returns:
      The value on the Y axis of the maximum edge of the box (exclusive)

  - ### minimumZ

    @Parameter(order=4) float minimumZ()
    Specified by:
      `minimumZ` in interface `VolumeValuesFType`
    Returns:
      The value on the Z axis of the minimum edge of the box (inclusive)

  - ### maximumZ

    @Parameter(order=5) float maximumZ()
    Specified by:
      `maximumZ` in interface `VolumeValuesFType`
    Returns:
      The value on the Z axis of the maximum edge of the box (exclusive)

  - ### checkPreconditions

    @Check default void checkPreconditions()
    Check the preconditions for the parameters.